Debian Bug report logs - #375872
libgtk-java has circular Depends on libgtk-jni

version graph

Package: libgtk-java; Maintainer for libgtk-java is (unknown);

Reported by: Bill Allombert <ballombe@debian.org>

Date: Wed, 28 Jun 2006 16:03:29 UTC

Severity: important

Tags: fixed

Found in version libgtk-java/2.8.4-1

Fixed in version 2.8.5-1.1

Done: Michael Koch <michael.koch@enough.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Debian Java maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#375872; Package libgtk-java. Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <ballombe@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Java maintainers <pkg-java-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Bill Allombert <ballombe@debian.org>
To: maintonly@bugs.debian.org
Subject: libgtk-java has circular Depends on libgtk-jni
Date: Wed, 28 Jun 2006 17:56:50 +0200
Package: libgtk-java
Version: 2.8.4-1
Severity: important

Hello Debian Java maintainers,

There is a circular dependency between libgtk-java and libgtk-jni:

libgtk-java 	:Depends: libgtk-jni (= 2.8.4-1)
libgtk-jni 	:Depends: libgtk-java (= 2.8.4-1)

Circular dependencies involving libraries are known to cause problems
during upgrade between stable releases, so we should try to get rid of them.

See threads 
http://lists.debian.org/debian-devel/2005/06/msg02111.html
http://lists.debian.org/debian-devel/2005/11/msg01101.html

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 



Tags added: fixed Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Michael Koch <michael.koch@enough.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Bill Allombert <ballombe@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 375872-done@bugs.debian.org (full text, mbox):

From: Michael Koch <michael.koch@enough.de>
To: 375297-done@bugs.debian.org, 375872-done@bugs.debian.org
Subject: Re: Fixed in NMU of libgtk-java 2.8.5-1.1
Date: Fri, 16 Mar 2007 12:12:06 +0100
Version: 2.8.5-1.1


Closed by NMU.


Cheers,
Michael
-- 
Michael Koch
Senior Developer
Enough Software
Sögestr. 70
28195 Bremen
Germany

Web: http://www.enough.de
Mail: michael.koch@enough.de

Tel: +49-(0)421-9889 131
Fax: +49-(0)421-9889 132



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 12:10:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 20:11:18 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.